Subject: bug#56643: 29.0.50; Help-mode bookmarks not loading with native compilation

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Jul 2022 17:40:48 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Fri, 22 Jul 2022 13:41:32 +0000
> 
> >> ("named-function-help-bookmark"
> >>  (position . 1)
> >>  (last-modified 25305 7198 806743 243000)
> >>  (help-fn . describe-function-xref-func)
> >>  (help-args completing-read "*scratch*")
> >>  (position . 1)
> >>  (handler . help-bookmark-jump))
> >
> > Thanks.  If Andrea confirms that this won't have any problems with
> > native-compilation, I will install such changes on the release branch
> > (since AFAIU this issue is a regression in Emacs 28).
> 
> I confirm it should just work.

Thanks, so I will make those changes on the release branch.

> Actually I think the use of a lambda there was not really optimal in
> first place as is not capturing anything and we were serializing and
> deserializing the same code over and over again for no good reason.

Right.

> BTW, I mention this for other similar cases, another fix would be to add
> (declare (speed -1)) to `describe-function'.

Thanks, good to know.  I guess we should document that in the ELisp
manual.